<html><head>

<p class=MsoNormal><span lang=EN-US>Please note we provide an open source software notice along with this product and/or this product firmware (in the following just "this product"). The open source software licenses are granted by the respective right holders. And the open source licenses prevail all other license information with regard to the respective open source software contained in the product, including but not limited to End User Software Licensing Agreement. This notice is provided on behalf of Huawei Device Co., Ltd. and any of its local subsidiaries which may have provided this product to you in your local country.</span></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Warranty Disclaimer</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='text-transform:uppercase'>The open source software in this product is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the applicable licenses for more details.</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Copyright Notice and License Texts</span></b></p>


<style type="text/css">
body { padding: 0; font-family: sans-serif; }
.same-license { background-color: #eeeeee; border-top: 20px solid white; padding: 10px; }
.label { font-weight: bold; }
.file-list { margin-left: 1em; color: blue; }
</style>

</head><body topmargin="0" leftmargin="0" rightmargin="0" bottommargin="0">
<div class="toc">
<ul>
<li><a href="#id0">/openssl-1.1.1k</a></li>
<li><a href="#id1">/webrtc_m85/examples/androidapp/third_party/autobanh</a></li>
<li><a href="#id2">/webrtc_m85</a></li>
</ul>
</div><!-- table of contents -->
<table cellpadding="0" cellspacing="0" border="0">
<tr id="id0"><td class="same-license">
<div class="label">Notices for Software(s):</div>
<div class="file-list">
/openssl-1.1.1k <br/>
</div><!-- file-list -->

<pre class="license-text">
Copyright 1995&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2005 Nokia. All rights reserved.
Copyright 2005&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1995&ndash;2021 The OpenSSL Project Authors. All Rights Reserved.
Copyright (c) 2002, Oracle and/or its affiliates. All rights reserved
Copyright 1995&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2012&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2014&ndash;2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1995&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2017&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2011&ndash;2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2015&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1995&ndash;2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2016&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2016&ndash;2021 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2015&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2014&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2005&ndash;2021 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2005&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2016&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1995&ndash;2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2004&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright (c) 2004, EdelKey Project. All Rights Reserved.
Originally written by Christophe Renou and Peter Sylvester, for the EdelKey project.
Copyright 2012&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2005&ndash;2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2016&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1999&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2006&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2010&ndash;2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1999&ndash;2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1999&ndash;2021 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2002&ndash;2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2002&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2008&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2001&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2008&ndash;2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1999&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2000&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2000&ndash;2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2000&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2007&ndash;2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2006&ndash;2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2000&ndash;2021 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2015&ndash;2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2018&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2003&ndash;2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2014&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright (c) 2017, Oracle and/or its affiliates.  All rights reserved.
Copyright 2017 Ribose Inc. All Rights Reserved.
Copyright 2017&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright (c) 2018, Oracle and/or its affiliates.  All rights reserved.
Copyright 2013&ndash;2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2012&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1998&ndash;2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2015&ndash;2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2013&ndash;2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2017&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2016&ndash;2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2015&ndash;2021 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2002&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2011&ndash;2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2019&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2017 BaishanCloud. All rights reserved.
Copyright 2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2001&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2002&ndash;2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1998&ndash;2001 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2011&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2006&ndash;2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2006&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2004&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2015&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
Copyright (c) 2013&ndash;2014 Timo Teräs &lt;timo.teras@gmail.com&gt;
Copyright 1999&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2016 VMS Software, Inc. All Rights Reserved.
Copyright 1998&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2000&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2008&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
utilopenssl&ndash;update&ndash;copyright**************************************
Copyright 2004&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2008&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2004&ndash;2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2001&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2004&ndash;2021 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1998&ndash;2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2011&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2014&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
Copyright (c) 2014, Intel Corporation. All Rights Reserved.
Copyright (c) 2015, CloudFlare, Inc.
Originally written by Shay Gueron (1, 2), and Vlad Krasnov (1, 3)
Copyright 2011&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2010&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2006&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2015 Cryptography Research, Inc.
Originally written by Mike Hamburg
Copyright 2015&ndash;2016 Cryptography Research, Inc.
Copyright 2014 Cryptography Research, Inc.
Copyright 2016 Cryptography Research, Inc.
Copyright 2014&ndash;2016 Cryptography Research, Inc.
Copyright 2002&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2012&ndash;2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright (c) 2012, Intel Corporation. All Rights Reserved.
Originally written by Shay Gueron (1, 2), and Vlad Krasnov (1)
Copyright 2013&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1998&ndash;2021 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2014&ndash;2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2009&ndash;2021 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2005&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1999&ndash;2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2005&ndash;2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2008&ndash;2021 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1998&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2000&ndash;2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2001&ndash;2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2001&ndash;2017 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2007&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2010&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2004&ndash;2014, Akamai Technologies. All Rights Reserved.
Copyright 2001&ndash;2021 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2003&ndash;2020 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2012&ndash;2016 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2017&ndash;2021 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2009&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2013&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2003&ndash;2018 The OpenSSL Project Authors. All Rights Reserved.
Copyright 1998&ndash;2019 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2010&ndash;2021 The OpenSSL Project Authors. All Rights Reserved.
Copyright 2011&ndash;2021 The OpenSSL Project Authors. All Rights Reserved.



  LICENSE ISSUES
  ==============

  The OpenSSL toolkit stays under a double license, i.e. both the conditions of
  the OpenSSL License and the original SSLeay license apply to the toolkit.
  See below for the actual license texts.

  OpenSSL License
  &ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;

/* ====================================================================
 * Copyright (c) 1998&ndash;2019 The OpenSSL Project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    &quot;This product includes software developed by the OpenSSL Project
 *    for use in the OpenSSL Toolkit. (http://www.openssl.org/)&quot;
 *
 * 4. The names &quot;OpenSSL Toolkit&quot; and &quot;OpenSSL Project&quot; must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission. For written permission, please contact
 *    openssl&ndash;core@openssl.org.
 *
 * 5. Products derived from this software may not be called &quot;OpenSSL&quot;
 *    nor may &quot;OpenSSL&quot; appear in their names without prior written
 *    permission of the OpenSSL Project.
 *
 * 6. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    &quot;This product includes software developed by the OpenSSL Project
 *    for use in the OpenSSL Toolkit (http://www.openssl.org/)&quot;
 *
 * THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS&prime;&prime; AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE OpenSSL PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 * ====================================================================
 *
 * This product includes cryptographic software written by Eric Young
 * (eay@cryptsoft.com).  This product includes software written by Tim
 * Hudson (tjh@cryptsoft.com).
 *
 */

 Original SSLeay License
 &ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;&ndash;

/* Copyright (C) 1995&ndash;1998 Eric Young (eay@cryptsoft.com)
 * All rights reserved.
 *
 * This package is an SSL implementation written
 * by Eric Young (eay@cryptsoft.com).
 * The implementation was written so as to conform with Netscapes SSL.
 *
 * This library is free for commercial and non&ndash;commercial use as long as
 * the following conditions are aheared to.  The following conditions
 * apply to all code found in this distribution, be it the RC4, RSA,
 * lhash, DES, etc., code; not just the SSL code.  The SSL documentation
 * included with this distribution is covered by the same copyright terms
 * except that the holder is Tim Hudson (tjh@cryptsoft.com).
 *
 * Copyright remains Eric Young&prime;s, and as such any Copyright notices in
 * the code are not to be removed.
 * If this package is used in a product, Eric Young should be given attribution
 * as the author of the parts of the library used.
 * This can be in the form of a textual message at program startup or
 * in documentation (online or textual) provided with the package.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *    &quot;This product includes cryptographic software written by
 *     Eric Young (eay@cryptsoft.com)&quot;
 *    The word &prime;cryptographic&prime; can be left out if the rouines from the library
 *    being used are not cryptographic related :&ndash;).
 * 4. If you include any Windows specific code (or a derivative thereof) from
 *    the apps directory (application code) you must include an acknowledgement:
 *    &quot;This product includes software written by Tim Hudson (tjh@cryptsoft.com)&quot;
 *
 * THIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS&prime;&prime; AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * The licence and distribution terms for any publically available version or
 * derivative of this code cannot be changed.  i.e. this code cannot simply be
 * copied and put under another distribution licence
 * [including the GNU Public Licence.]
 */


</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id1"><td class="same-license">
<div class="label">Notices for Software(s):</div>
<div class="file-list">
/webrtc_m85/examples/androidapp/third_party/autobanh <br/>
</div><!-- file-list -->

<pre class="license-text">


AutobahnAndroid
Copyright 2011,2012 Tavendo GmbH. Licensed under Apache 2.0
This product includes software developed at Tavendo GmbH http://www.tavendo.de

</pre><!-- license-text -->
</td></tr><!-- same-license -->



<tr id="id2"><td class="same-license">
<div class="label">Notices for Software(s):</div>
<div class="file-list">
/webrtc_m85 <br/>
</div><!-- file-list -->

<pre class="license-text">
Copyright 2016 The WebRTC project authors. All Rights Reserved.
Copyright 2004 The WebRTC Project Authors. All rights reserved.
Copyright (c) 2015 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2018 The WebRTC project authors. All Rights Reserved.
Copyright 2017 The WebRTC Project Authors. All rights reserved.
Copyright 2015 The WebRTC Project Authors. All rights reserved.
Copyright (c) 2016 The WebRTC Project Authors. All rights reserved.
Copyright (c) 2012 The WebRTC project authors. All Rights Reserved.
Copyright 2019 The WebRTC Project Authors. All rights reserved.
Copyright (c) 2011 The WebRTC project authors. All Rights Reserved.
Copyright 2020 The WebRTC Project Authors. All rights reserved.
Copyright (c) 2019 The WebRTC project authors. All Rights Reserved.
Copyright 2018 The WebRTC Project Authors. All rights reserved.
Copyright 2018 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2016 The WebRTC project authors. All Rights Reserved.
Copyright 2007 The WebRTC Project Authors. All rights reserved.
Copyright (c) 2017 The WebRTC project authors. All Rights Reserved.
Copyright 2012 The WebRTC Project Authors. All rights reserved.
Copyright 2016 The WebRTC Project Authors. All rights reserved.
Copyright (c) 2014 The WebRTC project authors. All Rights Reserved.
Copyright 2006 The WebRTC Project Authors. All rights reserved.
Copyright 2014 The WebRTC Project Authors. All rights reserved.
Copyright 2013 The WebRTC Project Authors. All rights reserved.
Copyright 2010 The WebRTC Project Authors. All rights reserved.
Copyright 2009 The WebRTC Project Authors. All rights reserved.
Copyright 2005 The WebRTC Project Authors. All rights reserved.
Copyright 2017 The WebRTC project authors. All Rights Reserved.
Copyright 2019 The WebRTC project authors. All Rights Reserved.
Copyright 2011 The WebRTC Project Authors. All rights reserved.
Copyright (c) 2013 The WebRTC project authors. All Rights Reserved.
Copyright 2020 The WebRTC project authors. All Rights Reserved.
Copyright 2008 The WebRTC Project Authors. All rights reserved.
Copyright 2015 The WebRTC project authors. All Rights Reserved.
*     Copyright (c) 1999, Bob Withers &ndash; bwit@pobox.com
Written by Sarah Thompson (sarah@telergy.com) 2002.
Copyright (c) 2012 The Chromium Authors. All rights reserved.
Copyright (c) 2020 The WebRTC project authors. All Rights Reserved.
Copyright 2012 Square Inc.
Copyright 2012 The WebRTC project authors. All Rights Reserved.
Copyright 2004 The WebRTC project authors. All Rights Reserved.
Copyright 2009 The WebRTC project authors. All Rights Reserved.
Copyright 2011 The WebRTC project authors. All Rights Reserved.
Copyright 2013 The WebRTC project authors. All Rights Reserved.
Copyright 2014 The WebRTC project authors. All Rights Reserved.
Copyright 2008 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2004 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2010 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2008 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2009 The WebRTC project authors. All Rights Reserved.
Written by Wilco Dijkstra, 1996. The following email exchange establishes the
From: Wilco Dijkstra &lt;Wilco.Dijkstra@ntlworld.com&gt;
To: Kevin Ma &lt;kma@google.com&gt;
From: &quot;Kevin Ma&quot; &lt;kma@google.com&gt;
To: &lt;Wilco.Dijkstra@ntlworld.com&gt;
Copyright Takuya OOURA, 1996&ndash;2001 Copyright (c) 2018 The WebRTC project authors. All Rights Reserved.
Copyright Takuya OOURA, 1996&ndash;2001 Changes by the WebRTC authors: &ndash; Trivial type modifications.&ndash; Minimal code subset to do rdft of length 128.&ndash; Optimizations because of known length.&ndash; Removed the global variables by moving the code in to a class in orderto make it thread safe.
Copyright (C) 2010 The Android Open Source Project
Copyright 2004&ndash;&ndash;2010, Google Inc.
Written by Steve Underwood &lt;steveu@coppice.org&gt;
Copyright (C) 2005 Steve Underwood
Copyright (c) CMU 1993 Computer Science, Speech Group
Copyright (c) CMU    1993 Computer Science, Speech Group
Copyright (C) 2006 Steve Underwood
Copyright (C) 2001 Steve Underwood
Copyright(c)1995,97 Mark Olesen &lt;olesen@me.QueensU.CA&gt;
copyright).
Author: Bjorn Roche, XO Audio, LLC
Copyright (c) 1999&ndash;2000 Ross Bencina and Phil Burk
Author: Phil Burk, http://www.softsynth.com
CopCopyright 2016 The WebRTC project authors. All Rights Reserved.
Copyright 2012 The WebRTC Projecyright (c) 2011 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2012 The WebRTC projet Authors. All rights reserved.
Copyright 2012 The WebRTC Project Authors. All rct authors. All Rights Reserved.
Copyright (c) 2016 The WebRTC project authors. All Rights Reserved.ights reserved.
Copyright 2018 The WebRTC Proje
Copyright (c) 2019 The WebRTC project act Authors. All rights reserved.
Copyuthors. All Rights Reserved.
Copright 2011 The WebRTC project authors. All Rights Reserved.
Copyright 2017 The WebRTC project authors. All Rights Reservyright (c) 2016 The WebRTC project authors. All Rights Reserved.
Copyright 2004 The WebRTC Ped.
Copyright 2019 The WebRTC Project Authors. Aroject Authors. All rights reserved.
Copyrill rights reserved.
Copyright (c) 2012 The WebRTC project authors. All Rights Reservght 2004 The WebRTC Project Authors. All rights reserved.
Copyright 2004 The WebRTC project authors. ed.
Copyright (c) 2014 The WAll Rights Reserved.
Copyright 2011 The WebRTC projeebRTC project authors. All Rights Reserved.
Copyright (c) 20ct authors. All Rights Reserved.
Copyright (c) 2019 The WebRTC project authors. All Rights R18 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2016 The WebRTC project authors. All Rights Reserveserved.
Copyright (c) 2019 The WebRed.
Copyright (c) 2011 The WebRTC pTC project authors. All Rights Reserved.
Copyright (c) 2016 The WebRTC project authors. All Rights Reserved.roject authors. All Rights Reserved.
Copyright (c) 2018 The WebRTC proje
Copyright (c) 2011 The WebRTC projct authors. All Rights Reserved.
Copyright 2013 The WebRTC project aect authors. All Rights Reserved.
Copyright 2015 The WebRTC project authors. All Rights Reseuthors. All Rights Reserved.
Copyright 2018 The rved.
Copyright (c) 2015 The WebWebRTC project authors. All Rights Reserved.
Copyright (c) 2017 The RTC project authors. All Rights Reserved.
Copyright (c) 2020 The WebRTC project authWebRTC project authors. All Rights Reserved.
Copyright 2012 The WebRTC project authors. All Rights Rors. All Rights Reserved.
Copyright (c) 2019 The WebRTC project authors. All Rigeserved.
Copyright (c) 2020 The WebRTC project authohts Reserved.
Copyright (c) 2017 The WebRTC project rs. All Rights Reserved.
Copyright (c) 2011 The WebRTC project authors. All Rights Reauthors. All Rights Reserved.
Copyright served.
Copyright (c) 2016 The WebRTC project author(c) 2013 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2012 The WebRTC project authors. s. All Rights Reserved.
Copyright (c) 2017 TAll Rights Reserved.
Copyright (c) 2013 he WebRTC project authors. All Rights Reserved.
Copyright (c) 2016 The WebRTC project authors.The WebRTC project authors. All Rights Reserved.
Copyright (c) 2019 The WebRTC project authors All Rights Reserved.
Cop. All Rights Reserved.
Copyriyright (c) 2011 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2016 The WebRTC project authors. All Rights Reserved.ght (c) 2014 The WebRTC project authors. All Rights Reserved.
Copyright (c) 2012 The WebRTC project 
Copauthors. All Rights Reserved.
Coyright (c) 2016 The WebRTC project authors. All Rights Reserved.
Copyrigpyright (c) 2016 The WebRTC project authors. All Rights Reserved.
ht 2004 The WebRTC Project Authors. All rights reserved.


Copyright (c) 2011, The WebRTC project authors. All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.

  * Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in
    the documentation and/or other materials provided with the
    distribution.

  * Neither the name of Google nor the names of its contributors may
    be used to endorse or promote products derived from this software
    without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
&quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

</pre><!-- license-text -->
</td></tr><!-- same-license -->



</table>
</body></html>
